//                                                                  
// Copyright  2005 Lidor Systems.
// All Rights Reserved.
//
// This file is part of the "LidorSystems.Collector" class Library. 
//                                                                   
// The contents of this file are subject to the LidorSystems.Collector
// License (the "License"), and may not be used except in compliance
// with the License. A copy of the License should have been installed
// in the product's root installation directory. You may also obtain a
// copy of the License at...
//                                                                   
// http://www.lidorsystems.com/products/collector/agreement.html
//                                                             
// Software distributed under this License is distributed on an 
// "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing 
// rights and limitations under the License.                        
// 

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using LidorSystems.Collector;
using LidorSystems.Collector.Style;

namespace Reminder
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		internal System.Windows.Forms.ImageList imageList1;
		internal System.Windows.Forms.Timer timer1;
		internal LidorSystems.Collector.Group groupReminder;
		internal LidorSystems.Collector.Page Page1;
		internal LidorSystems.Collector.Group groupPanels;
		internal LidorSystems.Collector.Page pageCalendar;
		internal System.Windows.Forms.MonthCalendar monthCalendar;
		internal LidorSystems.Collector.Page pageNotes;
		internal System.Windows.Forms.ListView listNotes;
		internal System.Windows.Forms.Button btnSave;
		internal System.Windows.Forms.Label label3;
		internal System.Windows.Forms.TextBox task;
		internal System.Windows.Forms.Label label1;
		internal LidorSystems.Collector.Page pageLauncher;
		internal System.Windows.Forms.Button btnPaint;
		internal System.Windows.Forms.Button btnCalculator;
		internal System.Windows.Forms.Button btnNotepad;
		internal System.Windows.Forms.Label dateTimeLabel;
		internal System.Windows.Forms.ColumnHeader columnNote;
		internal System.Windows.Forms.ColumnHeader columnDate;
		internal System.Windows.Forms.DateTimePicker dtPicker;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			LidorSystems.Collector.Style.GroupStyle groupStyle1 = new LidorSystems.Collector.Style.GroupStyle();
			LidorSystems.Collector.Style.PageStyle pageStyle1 = new LidorSystems.Collector.Style.PageStyle();
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.groupReminder = new LidorSystems.Collector.Group();
			this.Page1 = new LidorSystems.Collector.Page();
			this.groupPanels = new LidorSystems.Collector.Group();
			this.pageCalendar = new LidorSystems.Collector.Page();
			this.monthCalendar = new System.Windows.Forms.MonthCalendar();
			this.pageNotes = new LidorSystems.Collector.Page();
			this.listNotes = new System.Windows.Forms.ListView();
			this.columnNote = new System.Windows.Forms.ColumnHeader();
			this.columnDate = new System.Windows.Forms.ColumnHeader();
			this.btnSave = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.task = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.dtPicker = new System.Windows.Forms.DateTimePicker();
			this.pageLauncher = new LidorSystems.Collector.Page();
			this.btnPaint = new System.Windows.Forms.Button();
			this.btnCalculator = new System.Windows.Forms.Button();
			this.btnNotepad = new System.Windows.Forms.Button();
			this.dateTimeLabel = new System.Windows.Forms.Label();
			((System.ComponentModel.ISupportInitialize)(this.groupReminder)).BeginInit();
			this.groupReminder.SuspendLayout();
			this.Page1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.groupPanels)).BeginInit();
			this.groupPanels.SuspendLayout();
			this.pageCalendar.SuspendLayout();
			this.pageNotes.SuspendLayout();
			this.pageLauncher.SuspendLayout();
			this.SuspendLayout();
			// 
			// imageList1
			// 
			this.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.imageList1.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// timer1
			// 
			this.timer1.Enabled = true;
			this.timer1.Interval = 1000;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// groupReminder
			// 
			this.groupReminder.AllowDocking = LidorSystems.Collector.DockPermission.None;
			this.groupReminder.AllowResize = false;
			this.groupReminder.Animation = true;
			this.groupReminder.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.groupReminder.Controls.Add(this.Page1);
			this.groupReminder.ControlState = LidorSystems.Collector.ControlState.Floating;
			this.groupReminder.Cursor = System.Windows.Forms.Cursors.Default;
			this.groupReminder.DropAllowed = false;
			this.groupReminder.FocusRectangle = false;
			this.groupReminder.Image = ((System.Drawing.Image)(resources.GetObject("groupReminder.Image")));
			this.groupReminder.Location = new System.Drawing.Point(1, 0);
			this.groupReminder.Name = "groupReminder";
			this.groupReminder.Pages.AddRange(new LidorSystems.Collector.Page[] {
																					this.Page1});
			this.groupReminder.SelectedPage = this.Page1;
			this.groupReminder.Size = new System.Drawing.Size(204, 246);
			this.groupReminder.TabIndex = 5;
			this.groupReminder.TabStrip = false;
			this.groupReminder.Text = "Reminder";
			this.groupReminder.ContextMenuButtonClick += new LidorSystems.Collector.CollectorEventHandler(this.groupReminder_ContextMenuButtonClick);
			this.groupReminder.GroupClosed += new LidorSystems.Collector.CollectorEventHandler(this.groupReminder_GroupClosed);
			// 
			// Page1
			// 
			this.Page1.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.Page1.Controls.Add(this.groupPanels);
			this.Page1.Controls.Add(this.dateTimeLabel);
			this.Page1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.Page1.Location = new System.Drawing.Point(1, 23);
			this.Page1.Name = "Page1";
			this.Page1.Size = new System.Drawing.Size(202, 222);
			this.Page1.StyleFromParent = true;
			this.Page1.TabIndex = 0;
			this.Page1.TableObject = null;
			this.Page1.Text = "Page1";
			// 
			// groupPanels
			// 
			this.groupPanels.AllowDrag = false;
			this.groupPanels.AllowDrop = true;
			this.groupPanels.AllowReorder = false;
			this.groupPanels.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.groupPanels.Controls.Add(this.pageCalendar);
			this.groupPanels.Controls.Add(this.pageNotes);
			this.groupPanels.Controls.Add(this.pageLauncher);
			this.groupPanels.ControlState = LidorSystems.Collector.ControlState.Docked;
			this.groupPanels.Cursor = System.Windows.Forms.Cursors.Default;
			this.groupPanels.Dock = System.Windows.Forms.DockStyle.Fill;
			this.groupPanels.DropAllowed = false;
			this.groupPanels.FocusRectangle = false;
			this.groupPanels.Header = false;
			this.groupPanels.ImageList = this.imageList1;
			this.groupPanels.Location = new System.Drawing.Point(0, 0);
			this.groupPanels.Name = "groupPanels";
			this.groupPanels.Pages.AddRange(new LidorSystems.Collector.Page[] {
																				  this.pageCalendar,
																				  this.pageNotes,
																				  this.pageLauncher});
			this.groupPanels.SelectedPage = this.pageCalendar;
			this.groupPanels.Size = new System.Drawing.Size(202, 202);
			pageStyle1.Margin = new LidorSystems.Collector.Margin(2, 2, 2, 2);
			groupStyle1.PageStyle = pageStyle1;
			groupStyle1.ScrollingButtons = false;
			groupStyle1.TabCloseButton = false;
			groupStyle1.TabSelectButton = false;
			this.groupPanels.Style = groupStyle1;
			this.groupPanels.TabIndex = 3;
			this.groupPanels.TabMode = LidorSystems.Collector.TabMode.Compressed;
			this.groupPanels.Text = "group1";
			// 
			// pageCalendar
			// 
			this.pageCalendar.AllowDrag = false;
			this.pageCalendar.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.pageCalendar.Controls.Add(this.monthCalendar);
			this.pageCalendar.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.pageCalendar.ImageIndex = 0;
			this.pageCalendar.Location = new System.Drawing.Point(3, 25);
			this.pageCalendar.Name = "pageCalendar";
			this.pageCalendar.Size = new System.Drawing.Size(196, 174);
			this.pageCalendar.StyleFromParent = true;
			this.pageCalendar.TabIndex = 2;
			this.pageCalendar.TableObject = null;
			this.pageCalendar.Text = "Calendar";
			// 
			// monthCalendar
			// 
			this.monthCalendar.Dock = System.Windows.Forms.DockStyle.Top;
			this.monthCalendar.Location = new System.Drawing.Point(0, 0);
			this.monthCalendar.Name = "monthCalendar";
			this.monthCalendar.TabIndex = 0;
			// 
			// pageNotes
			// 
			this.pageNotes.AllowDrag = false;
			this.pageNotes.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.pageNotes.Controls.Add(this.listNotes);
			this.pageNotes.Controls.Add(this.btnSave);
			this.pageNotes.Controls.Add(this.label3);
			this.pageNotes.Controls.Add(this.task);
			this.pageNotes.Controls.Add(this.label1);
			this.pageNotes.Controls.Add(this.dtPicker);
			this.pageNotes.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.pageNotes.ImageIndex = 2;
			this.pageNotes.Location = new System.Drawing.Point(3, 25);
			this.pageNotes.Name = "pageNotes";
			this.pageNotes.Size = new System.Drawing.Size(196, 174);
			this.pageNotes.StyleFromParent = true;
			this.pageNotes.TabIndex = 4;
			this.pageNotes.TableObject = null;
			this.pageNotes.Text = "Notes";
			// 
			// listNotes
			// 
			this.listNotes.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						this.columnNote,
																						this.columnDate});
			this.listNotes.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.listNotes.FullRowSelect = true;
			this.listNotes.Location = new System.Drawing.Point(0, 64);
			this.listNotes.Name = "listNotes";
			this.listNotes.Size = new System.Drawing.Size(196, 110);
			this.listNotes.TabIndex = 10;
			this.listNotes.View = System.Windows.Forms.View.Details;
			// 
			// columnNote
			// 
			this.columnNote.Text = "Note";
			this.columnNote.Width = 112;
			// 
			// columnDate
			// 
			this.columnDate.Text = "Date";
			this.columnDate.Width = 77;
			// 
			// btnSave
			// 
			this.btnSave.BackColor = System.Drawing.SystemColors.Control;
			this.btnSave.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnSave.Location = new System.Drawing.Point(138, 32);
			this.btnSave.Name = "btnSave";
			this.btnSave.Size = new System.Drawing.Size(46, 23);
			this.btnSave.TabIndex = 8;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(0, 34);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(36, 21);
			this.label3.TabIndex = 9;
			this.label3.Text = "Date";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// task
			// 
			this.task.Location = new System.Drawing.Point(38, 6);
			this.task.Name = "task";
			this.task.Size = new System.Drawing.Size(148, 21);
			this.task.TabIndex = 6;
			this.task.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(0, 6);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(36, 21);
			this.label1.TabIndex = 7;
			this.label1.Text = "Note";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// dtPicker
			// 
			this.dtPicker.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtPicker.Location = new System.Drawing.Point(38, 34);
			this.dtPicker.Name = "dtPicker";
			this.dtPicker.Size = new System.Drawing.Size(94, 21);
			this.dtPicker.TabIndex = 1;
			// 
			// pageLauncher
			// 
			this.pageLauncher.AllowDrag = false;
			this.pageLauncher.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.pageLauncher.Controls.Add(this.btnPaint);
			this.pageLauncher.Controls.Add(this.btnCalculator);
			this.pageLauncher.Controls.Add(this.btnNotepad);
			this.pageLauncher.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.pageLauncher.ImageIndex = 1;
			this.pageLauncher.Location = new System.Drawing.Point(1, 23);
			this.pageLauncher.Name = "pageLauncher";
			this.pageLauncher.Size = new System.Drawing.Size(200, 178);
			this.pageLauncher.TabIndex = 3;
			this.pageLauncher.TableObject = null;
			this.pageLauncher.Text = "Launcher";
			// 
			// btnPaint
			// 
			this.btnPaint.BackColor = System.Drawing.SystemColors.Control;
			this.btnPaint.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnPaint.Location = new System.Drawing.Point(16, 84);
			this.btnPaint.Name = "btnPaint";
			this.btnPaint.Size = new System.Drawing.Size(110, 23);
			this.btnPaint.TabIndex = 3;
			this.btnPaint.Text = "Paint";
			this.btnPaint.Click += new System.EventHandler(this.btnPaint_Click);
			// 
			// btnCalculator
			// 
			this.btnCalculator.BackColor = System.Drawing.SystemColors.Control;
			this.btnCalculator.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnCalculator.Location = new System.Drawing.Point(16, 52);
			this.btnCalculator.Name = "btnCalculator";
			this.btnCalculator.Size = new System.Drawing.Size(110, 23);
			this.btnCalculator.TabIndex = 2;
			this.btnCalculator.Text = "Calculator";
			this.btnCalculator.Click += new System.EventHandler(this.btnCalculator_Click);
			// 
			// btnNotepad
			// 
			this.btnNotepad.BackColor = System.Drawing.SystemColors.Control;
			this.btnNotepad.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnNotepad.Location = new System.Drawing.Point(16, 20);
			this.btnNotepad.Name = "btnNotepad";
			this.btnNotepad.Size = new System.Drawing.Size(110, 23);
			this.btnNotepad.TabIndex = 1;
			this.btnNotepad.Text = "Notepad";
			this.btnNotepad.Click += new System.EventHandler(this.btnNotepad_Click);
			// 
			// dateTimeLabel
			// 
			this.dateTimeLabel.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(149)), ((System.Byte)(179)), ((System.Byte)(222)));
			this.dateTimeLabel.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.dateTimeLabel.ForeColor = System.Drawing.Color.Navy;
			this.dateTimeLabel.Location = new System.Drawing.Point(0, 202);
			this.dateTimeLabel.Name = "dateTimeLabel";
			this.dateTimeLabel.Size = new System.Drawing.Size(202, 20);
			this.dateTimeLabel.TabIndex = 1;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.Color.WhiteSmoke;
			this.ClientSize = new System.Drawing.Size(206, 246);
			this.Controls.Add(this.groupReminder);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
			this.Name = "Form1";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Reminder";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.groupReminder)).EndInit();
			this.groupReminder.ResumeLayout(false);
			this.Page1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.groupPanels)).EndInit();
			this.groupPanels.ResumeLayout(false);
			this.pageCalendar.ResumeLayout(false);
			this.pageNotes.ResumeLayout(false);
			this.pageLauncher.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private Point startPos = new Point();
		private Point lastPos = new Point();

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		#region Header
		private void groupReminder_GroupClosed(object sender, LidorSystems.Collector.CollectorEventArgs ce)
		{
			this.Close();
		}

		#region ContextMenu

		#region General
		private void groupReminder_ContextMenuButtonClick(object sender, LidorSystems.Collector.CollectorEventArgs ce)
		{
			ContextMenu menu = new ContextMenu();

			// Header
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Header, null, "Choose panel", this.Font, null));

			// Appearance
			CollectorMenuItem menuItemAppearance = new CollectorMenuItem(MenuItemType.Normal, null, "Appearance", this.Font, null);
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Default", this.Font, new EventHandler(OnAppearanceDefault), true, groupPanels.VisualStyle == VisualStyle.Default ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Classic", this.Font, new EventHandler(OnAppearanceClassic), true, groupPanels.VisualStyle == VisualStyle.Classic ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Office2003", this.Font, new EventHandler(OnAppearanceOffice2003), true, groupPanels.VisualStyle == VisualStyle.Office2003 ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "VS2003", this.Font, new EventHandler(OnAppearanceVS2003), true, groupPanels.VisualStyle == VisualStyle.VS2003 ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "VS2005", this.Font, new EventHandler(OnAppearanceVS2005), true, groupPanels.VisualStyle == VisualStyle.VS2005 ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Separator, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Theme Aware", this.Font, new EventHandler(OnThemed), true, groupPanels.UseTheme, null));
			menu.MenuItems.Add(menuItemAppearance);

			// Panels
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Section, "Panels", this.Font, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, this.imageList1.Images[pageCalendar.ImageIndex], "Calendar", this.Font, new EventHandler(OnCalendar), true, groupPanels.SelectedPage == pageCalendar ? true : false, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, this.imageList1.Images[pageNotes.ImageIndex], "Notes", this.Font, new EventHandler(OnNotes), true, groupPanels.SelectedPage == pageNotes ? true : false, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, this.imageList1.Images[pageLauncher.ImageIndex], "Launcher", this.Font, new EventHandler(OnLauncher), true, groupPanels.SelectedPage == pageLauncher ? true : false, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Separator, null));

			if (groupPanels.TabStrip)
				menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Hide tabs", this.Font, new EventHandler(OnTabs), null));
			else
				menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Show tabs", this.Font, new EventHandler(OnTabs), null));
			
			menu.Show(groupReminder, groupReminder.PointToClient(Control.MousePosition));
		}
		#endregion

		#region Appearance
		private void OnAppearanceDefault(object sender, System.EventArgs e)
		{		
			SetAppearance(VisualStyle.Default);
		}
		private void OnAppearanceClassic(object sender, System.EventArgs e)
		{		
			SetAppearance(VisualStyle.Classic);
		}
		private void OnAppearanceOffice2003(object sender, System.EventArgs e)
		{		
			SetAppearance(VisualStyle.Office2003);
		}
		private void OnAppearanceVS2003(object sender, System.EventArgs e)
		{		
			SetAppearance(VisualStyle.VS2003);
		}
		private void OnAppearanceVS2005(object sender, System.EventArgs e)
		{		
			SetAppearance(VisualStyle.VS2005);
		}

		private void SetAppearance(VisualStyle vStyle)
		{		
			groupReminder.VisualStyle = vStyle;
			groupPanels.VisualStyle = vStyle;
		}

		private void OnThemed(object sender, System.EventArgs e)
		{		
			groupReminder.UseTheme = !groupReminder.UseTheme;
			groupPanels.UseTheme = !groupPanels.UseTheme;
		}
		#endregion

		#region Panels
		private void OnCalendar(object sender, System.EventArgs e)
		{
			groupPanels.SelectedPage = pageCalendar;
		}

		private void OnNotes(object sender, System.EventArgs e)
		{
			groupPanels.SelectedPage = pageNotes;
		}

		private void OnLauncher(object sender, System.EventArgs e)
		{
			groupPanels.SelectedPage = pageLauncher;
		}

		private void OnTabs(object sender, System.EventArgs e)
		{
			groupPanels.TabStrip = !groupPanels.TabStrip;

			listNotes.Height = listNotes.Parent.Height - (btnSave.Bottom + 5);
			listNotes.Parent.Refresh();
		}
		#endregion

		#endregion

		#endregion

		#region Notes
		private void btnSave_Click(object sender, System.EventArgs e)
		{
			listNotes.Items.Add(new ListViewItem(new string[]{task.Text, dtPicker.Value.ToShortDateString()}, listNotes.Items.Count));
			task.Text = "";
			dtPicker.Value = DateTime.Now;
		}
		#endregion

		#region Launcher
		private void btnNotepad_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start("notepad.exe");
		}

		private void btnCalculator_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start("calc.exe");
		}

		private void btnPaint_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start("mspaint.exe");
		}
		#endregion

		#region Time
		private void timer1_Tick(object sender, System.EventArgs e)
		{
			dateTimeLabel.Text = GetMonthString(DateTime.Now.Month) + " " + DateTime.Now.Day.ToString() + ", " + DateTime.Now.Year.ToString() + " " + DateTime.Now.ToLongTimeString();
		}

		private string GetMonthString(int month)
		{
			switch (month)
			{
				case 1:
					return "January";
				case 2:
					return "February";
				case 3:
					return "March";
				case 4:
					return "April";
				case 5:
					return "May";
				case 6:
					return "June";
				case 7:
					return "July";
				case 8:
					return "August";
				case 9:
					return "September";
				case 10:
					return "October";
				case 11:
					return "November";
				case 12:
					return "December";
			}

			return "";
		}
		#endregion

		private void Form1_Load(object sender, System.EventArgs e)
		{
			this.Hide();
			this.Location = new Point(0, 0);
			this.Size = new Size(2, 2);
		}
	}
}
