'                                                                  
' Copyright  2005 Lidor Systems.
' All Rights Reserved.
'
' This file is part of the "LidorSystems.Collector" class Library. 
'                                                                   
' The contents of this file are subject to the LidorSystems.Collector
' License (the "License"), and may not be used except in compliance
' with the License. A copy of the License should have been installed
' in the product's root installation directory. You may also obtain a
' copy of the License at...
'                                                                   
' http:'www.lidorsystems.com/products/collector/agreement.html
'                                                             
' Software distributed under this License is distributed on an 
' "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
' implied. See the License for the specific language governing 
' rights and limitations under the License.                        
' 

Imports LidorSystems.Collector
Imports LidorSystems.Collector.Style

Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Friend WithEvents imageList1 As System.Windows.Forms.ImageList
    Friend WithEvents timer1 As System.Windows.Forms.Timer
    Friend WithEvents groupPanels As LidorSystems.Collector.Group
    Friend WithEvents pageLauncher As LidorSystems.Collector.Page
    Friend WithEvents btnPaint As System.Windows.Forms.Button
    Friend WithEvents btnCalculator As System.Windows.Forms.Button
    Friend WithEvents btnNotepad As System.Windows.Forms.Button
    Friend WithEvents pageCalendar As LidorSystems.Collector.Page
    Friend WithEvents monthCalendar As System.Windows.Forms.MonthCalendar
    Friend WithEvents pageNotes As LidorSystems.Collector.Page
    Friend WithEvents listNotes As System.Windows.Forms.ListView
    Friend WithEvents btnSave As System.Windows.Forms.Button
    Friend WithEvents label3 As System.Windows.Forms.Label
    Friend WithEvents task As System.Windows.Forms.TextBox
    Friend WithEvents label1 As System.Windows.Forms.Label
    Friend WithEvents dtPicker As System.Windows.Forms.DateTimePicker
    Friend WithEvents columnNote As System.Windows.Forms.ColumnHeader
    Friend WithEvents columnDate As System.Windows.Forms.ColumnHeader
    Friend WithEvents groupReminder As LidorSystems.Collector.Group
    Friend WithEvents Page1 As LidorSystems.Collector.Page
    Friend WithEvents dateTimeLabel As System.Windows.Forms.Label
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
        Dim GroupStyle1 As LidorSystems.Collector.Style.GroupStyle = New LidorSystems.Collector.Style.GroupStyle
        Dim PageStyle1 As LidorSystems.Collector.Style.PageStyle = New LidorSystems.Collector.Style.PageStyle
        Me.imageList1 = New System.Windows.Forms.ImageList(Me.components)
        Me.timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.groupPanels = New LidorSystems.Collector.Group
        Me.pageCalendar = New LidorSystems.Collector.Page
        Me.monthCalendar = New System.Windows.Forms.MonthCalendar
        Me.pageNotes = New LidorSystems.Collector.Page
        Me.listNotes = New System.Windows.Forms.ListView
        Me.columnNote = New System.Windows.Forms.ColumnHeader
        Me.columnDate = New System.Windows.Forms.ColumnHeader
        Me.btnSave = New System.Windows.Forms.Button
        Me.label3 = New System.Windows.Forms.Label
        Me.task = New System.Windows.Forms.TextBox
        Me.label1 = New System.Windows.Forms.Label
        Me.dtPicker = New System.Windows.Forms.DateTimePicker
        Me.pageLauncher = New LidorSystems.Collector.Page
        Me.btnPaint = New System.Windows.Forms.Button
        Me.btnCalculator = New System.Windows.Forms.Button
        Me.btnNotepad = New System.Windows.Forms.Button
        Me.groupReminder = New LidorSystems.Collector.Group
        Me.Page1 = New LidorSystems.Collector.Page
        Me.dateTimeLabel = New System.Windows.Forms.Label
        CType(Me.groupPanels, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.groupPanels.SuspendLayout()
        Me.pageCalendar.SuspendLayout()
        Me.pageNotes.SuspendLayout()
        Me.pageLauncher.SuspendLayout()
        CType(Me.groupReminder, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.groupReminder.SuspendLayout()
        Me.Page1.SuspendLayout()
        Me.SuspendLayout()
        '
        'imageList1
        '
        Me.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit
        Me.imageList1.ImageSize = New System.Drawing.Size(16, 16)
        Me.imageList1.ImageStream = CType(resources.GetObject("imageList1.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.imageList1.TransparentColor = System.Drawing.Color.Transparent
        '
        'timer1
        '
        Me.timer1.Enabled = True
        Me.timer1.Interval = 1000
        '
        'groupPanels
        '
        Me.groupPanels.AllowDrop = True
        Me.groupPanels.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.groupPanels.Controls.Add(Me.pageCalendar)
        Me.groupPanels.Controls.Add(Me.pageNotes)
        Me.groupPanels.Controls.Add(Me.pageLauncher)
        Me.groupPanels.ControlState = LidorSystems.Collector.ControlState.Docked
        Me.groupPanels.Cursor = System.Windows.Forms.Cursors.Default
        Me.groupPanels.Dock = System.Windows.Forms.DockStyle.Fill
        Me.groupPanels.FocusRectangle = False
        Me.groupPanels.Header = False
        Me.groupPanels.ImageList = Me.imageList1
        Me.groupPanels.Location = New System.Drawing.Point(0, 0)
        Me.groupPanels.Name = "groupPanels"
        Me.groupPanels.Pages.AddRange(New LidorSystems.Collector.Page() {Me.pageCalendar, Me.pageNotes, Me.pageLauncher})
        Me.groupPanels.SelectedPage = Me.pageCalendar
        Me.groupPanels.Size = New System.Drawing.Size(202, 202)
        PageStyle1.Margin = New LidorSystems.Collector.Margin(2, 2, 2, 2)
        GroupStyle1.PageStyle = PageStyle1
        GroupStyle1.ScrollingButtons = False
        GroupStyle1.TabCloseButton = False
        GroupStyle1.TabSelectButton = False
        Me.groupPanels.Style = GroupStyle1
        Me.groupPanels.TabIndex = 3
        Me.groupPanels.TabMode = LidorSystems.Collector.TabMode.Compressed
        Me.groupPanels.Text = "group1"
        '
        'pageCalendar
        '
        Me.pageCalendar.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.pageCalendar.Controls.Add(Me.monthCalendar)
        Me.pageCalendar.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.pageCalendar.ImageIndex = 0
        Me.pageCalendar.Location = New System.Drawing.Point(3, 25)
        Me.pageCalendar.Name = "pageCalendar"
        Me.pageCalendar.Size = New System.Drawing.Size(196, 174)
        Me.pageCalendar.StyleFromParent = True
        Me.pageCalendar.TabIndex = 2
        Me.pageCalendar.TableObject = Nothing
        Me.pageCalendar.Text = "Calendar"
        '
        'monthCalendar
        '
        Me.monthCalendar.Dock = System.Windows.Forms.DockStyle.Top
        Me.monthCalendar.Location = New System.Drawing.Point(0, 0)
        Me.monthCalendar.Name = "monthCalendar"
        Me.monthCalendar.TabIndex = 0
        '
        'pageNotes
        '
        Me.pageNotes.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.pageNotes.Controls.Add(Me.listNotes)
        Me.pageNotes.Controls.Add(Me.btnSave)
        Me.pageNotes.Controls.Add(Me.label3)
        Me.pageNotes.Controls.Add(Me.task)
        Me.pageNotes.Controls.Add(Me.label1)
        Me.pageNotes.Controls.Add(Me.dtPicker)
        Me.pageNotes.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.pageNotes.ImageIndex = 2
        Me.pageNotes.Location = New System.Drawing.Point(3, 25)
        Me.pageNotes.Name = "pageNotes"
        Me.pageNotes.Size = New System.Drawing.Size(196, 174)
        Me.pageNotes.StyleFromParent = True
        Me.pageNotes.TabIndex = 4
        Me.pageNotes.TableObject = Nothing
        Me.pageNotes.Text = "Notes"
        '
        'listNotes
        '
        Me.listNotes.Columns.AddRange(New System.Windows.Forms.ColumnHeader() {Me.columnNote, Me.columnDate})
        Me.listNotes.Dock = System.Windows.Forms.DockStyle.Bottom
        Me.listNotes.FullRowSelect = True
        Me.listNotes.Location = New System.Drawing.Point(0, 64)
        Me.listNotes.Name = "listNotes"
        Me.listNotes.Size = New System.Drawing.Size(196, 110)
        Me.listNotes.TabIndex = 10
        Me.listNotes.View = System.Windows.Forms.View.Details
        '
        'columnNote
        '
        Me.columnNote.Text = "Note"
        Me.columnNote.Width = 112
        '
        'columnDate
        '
        Me.columnDate.Text = "Date"
        Me.columnDate.Width = 77
        '
        'btnSave
        '
        Me.btnSave.BackColor = System.Drawing.SystemColors.Control
        Me.btnSave.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.btnSave.Location = New System.Drawing.Point(138, 32)
        Me.btnSave.Name = "btnSave"
        Me.btnSave.Size = New System.Drawing.Size(46, 23)
        Me.btnSave.TabIndex = 8
        Me.btnSave.Text = "Save"
        '
        'label3
        '
        Me.label3.Location = New System.Drawing.Point(0, 34)
        Me.label3.Name = "label3"
        Me.label3.Size = New System.Drawing.Size(36, 21)
        Me.label3.TabIndex = 9
        Me.label3.Text = "Date"
        Me.label3.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'task
        '
        Me.task.Location = New System.Drawing.Point(38, 6)
        Me.task.Name = "task"
        Me.task.Size = New System.Drawing.Size(148, 21)
        Me.task.TabIndex = 6
        Me.task.Text = ""
        '
        'label1
        '
        Me.label1.Location = New System.Drawing.Point(0, 6)
        Me.label1.Name = "label1"
        Me.label1.Size = New System.Drawing.Size(36, 21)
        Me.label1.TabIndex = 7
        Me.label1.Text = "Note"
        Me.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'dtPicker
        '
        Me.dtPicker.Format = System.Windows.Forms.DateTimePickerFormat.Short
        Me.dtPicker.Location = New System.Drawing.Point(38, 34)
        Me.dtPicker.Name = "dtPicker"
        Me.dtPicker.Size = New System.Drawing.Size(94, 21)
        Me.dtPicker.TabIndex = 1
        '
        'pageLauncher
        '
        Me.pageLauncher.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.pageLauncher.Controls.Add(Me.btnPaint)
        Me.pageLauncher.Controls.Add(Me.btnCalculator)
        Me.pageLauncher.Controls.Add(Me.btnNotepad)
        Me.pageLauncher.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.pageLauncher.ImageIndex = 1
        Me.pageLauncher.Location = New System.Drawing.Point(1, 23)
        Me.pageLauncher.Name = "pageLauncher"
        Me.pageLauncher.Size = New System.Drawing.Size(200, 178)
        Me.pageLauncher.TabIndex = 3
        Me.pageLauncher.TableObject = Nothing
        Me.pageLauncher.Text = "Launcher"
        '
        'btnPaint
        '
        Me.btnPaint.BackColor = System.Drawing.SystemColors.Control
        Me.btnPaint.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.btnPaint.Location = New System.Drawing.Point(16, 84)
        Me.btnPaint.Name = "btnPaint"
        Me.btnPaint.Size = New System.Drawing.Size(110, 23)
        Me.btnPaint.TabIndex = 3
        Me.btnPaint.Text = "Paint"
        '
        'btnCalculator
        '
        Me.btnCalculator.BackColor = System.Drawing.SystemColors.Control
        Me.btnCalculator.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.btnCalculator.Location = New System.Drawing.Point(16, 52)
        Me.btnCalculator.Name = "btnCalculator"
        Me.btnCalculator.Size = New System.Drawing.Size(110, 23)
        Me.btnCalculator.TabIndex = 2
        Me.btnCalculator.Text = "Calculator"
        '
        'btnNotepad
        '
        Me.btnNotepad.BackColor = System.Drawing.SystemColors.Control
        Me.btnNotepad.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.btnNotepad.Location = New System.Drawing.Point(16, 20)
        Me.btnNotepad.Name = "btnNotepad"
        Me.btnNotepad.Size = New System.Drawing.Size(110, 23)
        Me.btnNotepad.TabIndex = 1
        Me.btnNotepad.Text = "Notepad"
        '
        'groupReminder
        '
        Me.groupReminder.AllowResize = False
        Me.groupReminder.Animation = True
        Me.groupReminder.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.groupReminder.Controls.Add(Me.Page1)
        Me.groupReminder.ControlState = LidorSystems.Collector.ControlState.Floating
        Me.groupReminder.Cursor = System.Windows.Forms.Cursors.Default
        Me.groupReminder.FocusRectangle = False
        Me.groupReminder.Image = CType(resources.GetObject("groupReminder.Image"), System.Drawing.Image)
        Me.groupReminder.Location = New System.Drawing.Point(0, 0)
        Me.groupReminder.Name = "groupReminder"
        Me.groupReminder.Pages.AddRange(New LidorSystems.Collector.Page() {Me.Page1})
        Me.groupReminder.SelectedPage = Me.Page1
        Me.groupReminder.Size = New System.Drawing.Size(204, 246)
        Me.groupReminder.TabIndex = 4
        Me.groupReminder.TabStrip = False
        Me.groupReminder.Text = "Reminder"
        '
        'Page1
        '
        Me.Page1.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.Page1.Controls.Add(Me.groupPanels)
        Me.Page1.Controls.Add(Me.dateTimeLabel)
        Me.Page1.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!)
        Me.Page1.Location = New System.Drawing.Point(1, 23)
        Me.Page1.Name = "Page1"
        Me.Page1.Size = New System.Drawing.Size(202, 222)
        Me.Page1.StyleFromParent = True
        Me.Page1.TabIndex = 0
        Me.Page1.TableObject = Nothing
        Me.Page1.Text = "Page1"
        '
        'dateTimeLabel
        '
        Me.dateTimeLabel.BackColor = System.Drawing.Color.FromArgb(CType(149, Byte), CType(179, Byte), CType(222, Byte))
        Me.dateTimeLabel.Dock = System.Windows.Forms.DockStyle.Bottom
        Me.dateTimeLabel.ForeColor = System.Drawing.Color.Navy
        Me.dateTimeLabel.Location = New System.Drawing.Point(0, 202)
        Me.dateTimeLabel.Name = "dateTimeLabel"
        Me.dateTimeLabel.Size = New System.Drawing.Size(202, 20)
        Me.dateTimeLabel.TabIndex = 1
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.Color.WhiteSmoke
        Me.ClientSize = New System.Drawing.Size(206, 246)
        Me.Controls.Add(Me.groupReminder)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None
        Me.Name = "Form1"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "Reminder"
        CType(Me.groupPanels, System.ComponentModel.ISupportInitialize).EndInit()
        Me.groupPanels.ResumeLayout(False)
        Me.pageCalendar.ResumeLayout(False)
        Me.pageNotes.ResumeLayout(False)
        Me.pageLauncher.ResumeLayout(False)
        CType(Me.groupReminder, System.ComponentModel.ISupportInitialize).EndInit()
        Me.groupReminder.ResumeLayout(False)
        Me.Page1.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private startPos As Point = New Point
    Private lastPos As Point = New Point

#Region "Header"
    Private Sub groupReminder_GroupClosed(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupReminder.GroupClosed
        Me.Close()
    End Sub

    Private Sub groupReminder_ContextMenuButtonClick(ByVal sender As Object, ByVal ce As LidorSystems.Collector.CollectorEventArgs) Handles groupReminder.ContextMenuButtonClick
        Dim menu As ContextMenu = New ContextMenu
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Header, Nothing, "Choose panel", Me.Font, Nothing))
        Dim menuItemAppearance As CollectorMenuItem = New CollectorMenuItem(MenuItemType.Normal, Nothing, "Appearance", Me.Font, Nothing)
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Default", Me.Font, AddressOf OnAppearanceDefault, True, Microsoft.VisualBasic.IIf(groupPanels.VisualStyle = VisualStyle.Default, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Classic", Me.Font, AddressOf OnAppearanceClassic, True, Microsoft.VisualBasic.IIf(groupPanels.VisualStyle = VisualStyle.Classic, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Office2003", Me.Font, AddressOf OnAppearanceOffice2003, True, Microsoft.VisualBasic.IIf(groupPanels.VisualStyle = VisualStyle.Office2003, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "VS2003", Me.Font, AddressOf OnAppearanceVS2003, True, Microsoft.VisualBasic.IIf(groupPanels.VisualStyle = VisualStyle.VS2003, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "VS2005", Me.Font, AddressOf OnAppearanceVS2005, True, Microsoft.VisualBasic.IIf(groupPanels.VisualStyle = VisualStyle.VS2005, True, False), Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Separator, Nothing))
        menuItemAppearance.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Theme Aware", Me.Font, AddressOf OnThemed, True, groupPanels.UseTheme, Nothing))
        menu.MenuItems.Add(menuItemAppearance)
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Section, "Panels", Me.Font, Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Me.imageList1.Images(pageCalendar.ImageIndex), "Calendar", Me.Font, AddressOf OnCalendar, True, Microsoft.VisualBasic.IIf(groupPanels.SelectedPage Is pageCalendar, True, False), Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Me.imageList1.Images(pageNotes.ImageIndex), "Notes", Me.Font, AddressOf OnNotes, True, Microsoft.VisualBasic.IIf(groupPanels.SelectedPage Is pageNotes, True, False), Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Me.imageList1.Images(pageLauncher.ImageIndex), "Launcher", Me.Font, AddressOf OnLauncher, True, Microsoft.VisualBasic.IIf(groupPanels.SelectedPage Is pageLauncher, True, False), Nothing))
        menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Separator, Nothing))
        If groupPanels.TabStrip Then
            menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Hide tabs", Me.Font, AddressOf OnTabs, Nothing))
        Else
            menu.MenuItems.Add(New CollectorMenuItem(MenuItemType.Normal, Nothing, "Show tabs", Me.Font, AddressOf OnTabs, Nothing))
        End If
        menu.Show(groupReminder, groupReminder.PointToClient(Control.MousePosition))
    End Sub

    Private Sub OnAppearanceDefault(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(VisualStyle.Default)
    End Sub

    Private Sub OnAppearanceClassic(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(VisualStyle.Classic)
    End Sub

    Private Sub OnAppearanceOffice2003(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(VisualStyle.Office2003)
    End Sub

    Private Sub OnAppearanceVS2003(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(VisualStyle.VS2003)
    End Sub

    Private Sub OnAppearanceVS2005(ByVal sender As Object, ByVal e As System.EventArgs)
        SetAppearance(VisualStyle.VS2005)
    End Sub

    Private Sub SetAppearance(ByVal vStyle As VisualStyle)
        groupReminder.VisualStyle = vStyle
        groupPanels.VisualStyle = vStyle
    End Sub

    Private Sub OnThemed(ByVal sender As Object, ByVal e As System.EventArgs)
        groupReminder.UseTheme = Not groupReminder.UseTheme
        groupPanels.UseTheme = Not groupPanels.UseTheme
    End Sub

    Private Sub OnCalendar(ByVal sender As Object, ByVal e As System.EventArgs)
        groupPanels.SelectedPage = pageCalendar
    End Sub

    Private Sub OnNotes(ByVal sender As Object, ByVal e As System.EventArgs)
        groupPanels.SelectedPage = pageNotes
    End Sub

    Private Sub OnLauncher(ByVal sender As Object, ByVal e As System.EventArgs)
        groupPanels.SelectedPage = pageLauncher
    End Sub

    Private Sub OnTabs(ByVal sender As Object, ByVal e As System.EventArgs)
        groupPanels.TabStrip = Not groupPanels.TabStrip
        listNotes.Height = listNotes.Parent.Height - (btnSave.Bottom + 5)
        listNotes.Parent.Refresh()
    End Sub
#End Region

#Region "Notes"
    Private Sub btnSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSave.Click
        listNotes.Items.Add(New ListViewItem(New String() {task.Text, dtPicker.Value.ToShortDateString}, listNotes.Items.Count))
        task.Text = ""
        dtPicker.Value = Date.Now
    End Sub
#End Region

#Region "Launcher"
    Private Sub btnNotepad_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnNotepad.Click
        System.Diagnostics.Process.Start("notepad.exe")
    End Sub

    Private Sub btnCalculator_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCalculator.Click
        System.Diagnostics.Process.Start("calc.exe")
    End Sub

    Private Sub btnPaint_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPaint.Click
        System.Diagnostics.Process.Start("mspaint.exe")
    End Sub
#End Region

#Region "Time"
    Private Function GetMonthString(ByVal month As Integer) As String
        Select Case month
            Case 1
                Return "January"
            Case 2
                Return "February"
            Case 3
                Return "March"
            Case 4
                Return "April"
            Case 5
                Return "May"
            Case 6
                Return "June"
            Case 7
                Return "July"
            Case 8
                Return "August"
            Case 9
                Return "September"
            Case 10
                Return "October"
            Case 11
                Return "November"
            Case 12
                Return "December"
        End Select

        Return ""
    End Function

    Private Sub timer1_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles timer1.Tick
        dateTimeLabel.Text = GetMonthString(Date.Now.Month) + " " + Date.Now.Day.ToString() + ", " + Date.Now.Year.ToString() + " " + Date.Now.ToLongTimeString()
    End Sub
#End Region

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Hide()
        Me.Location = New Point(0, 0)
        Me.Size = New Size(2, 2)
    End Sub


End Class
